## msva-perl 0.2

=== Makefile ===
#!/usr/bin/make -f

# Makefile for xul-ext-monkeysphere

# © 2010 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
# Licensed under GPL v3 or later

VERSION=`dpkg-parsechangelog -lChangelog | grep ^Version: | cut -f2 -d\ `
DEBIAN_VERSION=`dpkg-parsechangelog | grep ^Version: | cut -f2 -d\ `

all: msva-perl.1

msva-perl.1: msva-perl
	pod2man msva-perl msva-perl.1

clean: 
	rm -f msva-perl.1

debian-package:
	git buildpackage -uc -us --git-upstream-branch=master --git-debian-branch=debian --git-no-pristine-tar

upstream-tag:
	git tag -s msva-perl/$(VERSION) -m "releasing msva-perl version $(VERSION)"
debian-tag:
	git tag -s debian/$(DEBIAN_VERSION) -m "tagging msva-perl debian packaging version $(DEBIAN_VERSION)"

.PHONY: upstream-tag debian-package debian-tag all clean

## msva-perl 0.3

=== Makefile ===
--- 
+++ 
@@ -17,11 +17,11 @@
 	rm -f msva-perl.1
 
 debian-package:
-	git buildpackage -uc -us --git-upstream-branch=master --git-debian-branch=debian --git-no-pristine-tar
+	git buildpackage -uc -us
 
 upstream-tag:
 	git tag -s msva-perl/$(VERSION) -m "releasing msva-perl version $(VERSION)"
 debian-tag:
-	git tag -s debian/$(DEBIAN_VERSION) -m "tagging msva-perl debian packaging version $(DEBIAN_VERSION)"
+	git tag -s msva-perl_debian/$(DEBIAN_VERSION) -m "tagging msva-perl debian packaging version $(DEBIAN_VERSION)"
 
 .PHONY: upstream-tag debian-package debian-tag all clean

=== debian/changelog ===
msva-perl (0.3-1) unstable; urgency=low

  * New Upstream Release:
   - packaging re-organization
   - restore default SIGCHLD handler for subprocesses (Closes: #585506)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 16 Jun 2010 02:32:42 -0400

msva-perl (0.2-2) unstable; urgency=low

  * Add libparent-perl to Depends 

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Mar 2010 20:05:28 -0400

msva-perl (0.2-1) unstable; urgency=low

  * New Upstream Release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 15 Mar 2010 14:28:13 -0400

msva-perl (0.1-2) unstable; urgency=low

  * Add missing Depends: libjson-perl

 -- Micah Anderson <micah@debian.org>  Tue, 09 Mar 2010 11:36:47 -0500

msva-perl (0.1-1) unstable; urgency=low

  * Initial Release (Closes: #573120)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 09 Mar 2010 00:39:56 -0500

=== debian/control ===
Source: msva-perl
Section: net
Priority: extra
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: debhelper (>= 7.0),
 perl
Standards-Version: 3.8.4
Homepage: http://web.monkeysphere.info/
Vcs-Git: git://git.monkeysphere.info/msva-perl

Package: msva-perl
Architecture: all
Depends: monkeysphere,
 libcrypt-x509-perl,
 libconvert-asn1-perl,
 libnet-server-perl,
 libhttp-server-simple-perl,
 libjson-perl,
 libparent-perl,
 ${misc:Depends}
Provides: monkeysphere-validation-agent
Enhances: monkeysphere
Description: Cryptographic identity validation agent (Perl implementation)
 The Monkeysphere Validation Agent offers a local service for tools to
 validate certificates (both X.509 and OpenPGP) and other public keys.
 .
 This package contains a perl implementation of a Monkeysphere
 Validation Agent.

## msva-perl 0.8

=== debian/changelog ===
msva-perl (0.8-2) unstable; urgency=low

  * Release into unstable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 13 Feb 2011 19:49:54 -0500

msva-perl (0.8-1) experimental; urgency=low

  * New Upstream bugfix Release.
   - added Suggests: liblwp-protocol-socks-perl to enable the use of
    --keyserver-options http-proxy=socks://localhost:9050 for
    gpgkeys_hkpms over tor.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 20 Dec 2010 04:09:51 -0500

msva-perl (0.7-1) experimental; urgency=low

  * new Upstream release (to experimental)
  * installs gpgkeys_hkpms for gpg and gpg2.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 16 Dec 2010 16:11:46 -0500

msva-perl (0.6-1) experimental; urgency=low

  * New Upstream Release (to experimental)
  * added some Recommends: needed for some new (optional) features:
    - msva-query-agent (command-line query tool)
    - autodetection of updates to a running agent

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 14 Nov 2010 13:57:02 -0500

msva-perl (0.5-1) experimental; urgency=low

  * New Upstream Release (to experimental)
   - relaxed dependency on libgtk2-perl to Recommends: (no marginal UI
     without it, though)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 12 Oct 2010 03:54:47 -0400

msva-perl (0.4-1) experimental; urgency=low

  * New Upstream Release (to experimental)
  * Bumped Standards-Version to 3.9.1 (no changes needed)
  * Adopted Xsession.d script from monkeysphere package (which
    unfortunately means we conflict with any monkeysphere package << 0.32)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 04 Oct 2010 01:11:15 -0400

=== debian/control ===
Source: msva-perl
Section: net
Priority: extra
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends:
 debhelper (>= 7.0),
 perl
Standards-Version: 3.9.1
Homepage: http://web.monkeysphere.info/
Vcs-Git: git://git.monkeysphere.info/msva-perl

Package: msva-perl
Architecture: all
Depends: 
 libcrypt-x509-perl,
 libconvert-asn1-perl,
 libnet-server-perl,
 libhttp-server-simple-perl,
 libjson-perl,
 libparent-perl,
 libgnupg-interface-perl (>= 0.42.02),
 libregexp-common-perl,
 libfile-homedir-perl,
 libconfig-general-perl,
 ${misc:Depends}
Recommends:
 libgtk2-perl,
 libanyevent-perl,
 liblinux-inotify2-perl,
 liburi-perl,
 libnet-ssleay-perl,
 libio-socket-ssl-perl (>=1.37),
 libwww-perl
Suggests:
 liblwp-protocol-socks-perl
Conflicts: monkeysphere (<< 0.32)
Provides: monkeysphere-validation-agent
Enhances: xul-ext-monkeysphere
Description: Cryptographic identity validation agent (Perl implementation)
 The Monkeysphere Validation Agent offers a local service for tools to
 validate certificates (both X.509 and OpenPGP) and other public keys.
 .
 This package contains a perl implementation of a Monkeysphere
 Validation Agent.

## msva-perl 0.8.1

=== debian/changelog ===
msva-perl (0.8.1-2) testing-proposed-updates; urgency=low

  * added NEWS file to discourage people trying to upgrade running
    instances of the validation agent. (Addresses: #682353)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 06 Apr 2013 00:01:07 -0400

msva-perl (0.8.1-1) testing-proposed-updates; urgency=low

  * incorporated minimized upstream changesets to deal with wheezy.
   - spawn daemon as a subprocess instead of the master process
    (Closes: #682353, #682518)
   - avoid spurious logging errors (Closes: #642304)
   - bind to IPv4 loopback explicitly (Closes: #661939)
   - rely on new Net::Server (>= 2.00)
   - default to not ask for a daemon restart (Closes: #614313)
  * bump Standards-Version to 3.9.4 (no changes needed).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Feb 2013 23:58:15 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 7.0),
  perl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://web.monkeysphere.info/
 Vcs-Git: git://git.monkeysphere.info/msva-perl
 
@@ -15,7 +15,7 @@
 Depends: 
  libcrypt-x509-perl,
  libconvert-asn1-perl,
- libnet-server-perl,
+ libnet-server-perl (>= 2.00),
  libhttp-server-simple-perl,
  libjson-perl,
  libparent-perl,

## msva-perl 0.9

=== debian/changelog ===
msva-perl (0.9-1) unstable; urgency=low

  * New Upstream version
   - tighter dependencies
   - daemon crash should no longer kill X11 session
     (Closes: #682353, #682518)
   - cleanup for newer versions of perl and modules 
     (Closes: #677565, #642304)
   - binds explicitly to IPv4 loopback
     (Closes: #661939)
   - scanning for changes and prompting to reload off by default
     (Closes: #614313)
  * bumped Standards-Version to 3.9.3 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 25 Jul 2012 13:20:08 -0400

## msva-perl 0.9.1

=== debian/changelog ===
msva-perl (0.9.1-1ubuntu1) saucy; urgency=low

  * Provide an upstart user session job. It works like this: 
    - Start monkeysphere-validation-agent before starting the session (on
      starting xsession-init)
    - Because msva-perl stays in the foreground, we can't export its
      environment variable (which it prints on standard output).
    - It also has a mode in which it can take a child to run. The agent keeps
      running as long as the child is running.
    - Provide a child which runs `initctl set-env' to set the environment
      variable.
    - It turns out that upstart continues the job started as soon as it has
      executed the main script. This means that the session is started before
      the `initctl set-env' has had a chance to run. So make the child script
      emit an event after running set-env which a *second*, empty, job
      (msva-block) waits for and blocks the session start.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 May 2013 17:58:33 +0100

msva-perl (0.9.1-1) unstable; urgency=low

  * New Upstream version
   - fix an error when msva-perl is launched without arguments.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 09 Sep 2012 15:16:50 -0400

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends:
  debhelper (>= 7.0),
  perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.3
 Homepage: http://web.monkeysphere.info/
 Vcs-Git: git://git.monkeysphere.info/msva-perl
 
 Package: msva-perl
 Architecture: all
 Depends: 
- libcrypt-x509-perl,
+ libcrypt-x509-perl (>= 0.50),
  libconvert-asn1-perl,
  libnet-server-perl (>= 2.00),
  libhttp-server-simple-perl,
  libjson-perl,
  libparent-perl,
- libgnupg-interface-perl (>= 0.42.02),
+ libgnupg-interface-perl (>= 0.43),
  libregexp-common-perl,
  libfile-homedir-perl,
  libconfig-general-perl,
@@ -30,7 +30,7 @@
  liblinux-inotify2-perl,
  liburi-perl,
  libnet-ssleay-perl,
- libio-socket-ssl-perl (>=1.37),
+ libio-socket-ssl-perl (>= 1.37),
  libwww-perl
 Suggests:
  liblwp-protocol-socks-perl

## msva-perl 0.9.2

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,25 @@
 #!/usr/bin/make -f
 
-# Makefile for xul-ext-monkeysphere
+# Makefile for msva-perl
 
 # © 2010 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 # Licensed under GPL v3 or later
 
-VERSION=`dpkg-parsechangelog -lChangelog | grep ^Version: | cut -f2 -d\ `
+VERSION := $(shell dpkg-parsechangelog -lChangelog | grep ^Version: | cut -f2 -d\ )
 DEBIAN_VERSION=`dpkg-parsechangelog | grep ^Version: | cut -f2 -d\ `
 
-all: msva-perl.1
+MANPAGES=msva-perl.1 msva-query-agent.1
 
-msva-perl.1: msva-perl
-	pod2man msva-perl msva-perl.1
+all: $(MANPAGES) Crypt/Monkeysphere/MSVA.pm
+
+%.1: %
+	pod2man $< $@
+
+Crypt/Monkeysphere/MSVA.pm: Changelog
+	sed -i "s/^  \\\$$VERSION = '[a-z0-9.~A-Z]*';$$/  \$$VERSION = '$(VERSION)';/" $@
 
 clean: 
-	rm -f msva-perl.1
+	rm -f $(MANPAGES)
 
 debian-package:
 	git buildpackage -uc -us

=== debian/changelog ===
msva-perl (0.9.2-2) unstable; urgency=medium

  * Fix Homepage
  * Maintain in Perl team
    Closes: #1118391, #1120118
  * Add watch file
  * Drop Recommends libgtk2-perl which is removed.  This restricts the
    functionality since there will be no marginal UI.
    Closes: #1115632
  * d/copyright: Review
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 26 Nov 2025 11:30:48 +0100

msva-perl (0.9.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 15:18:59 +0100

msva-perl (0.9.2-1) unstable; urgency=low

  * New upstream version
   - includes POD failure fix from gregor, thanks!
  * updated to dh 9
  * bumped Standards-Version to 3.9.4 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Sep 2013 11:00:30 -0400

msva-perl (0.9.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD failure":
    add patch to add encoding to POD.
    (Closes: #720430)

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Aug 2013 17:38:58 +0200

=== debian/control ===
Source: msva-perl
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Micah Anderson <micah@debian.org>,
 Andreas Tille <tille@debian.org>,
Section: net
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 perl,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/msva-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/msva-perl.git
Homepage: https://0xacab.org/monkeysphere/msva-perl

Package: msva-perl
Architecture: all
Depends:
 libcrypt-x509-perl,
 libconvert-asn1-perl,
 libnet-server-perl,
 libhttp-server-simple-perl,
 libjson-perl,
 libparent-perl,
 libgnupg-interface-perl,
 libregexp-common-perl,
 libfile-homedir-perl,
 libconfig-general-perl,
 ${misc:Depends},
Recommends:
 libanyevent-perl,
 liblinux-inotify2-perl,
 liburi-perl,
 libnet-ssleay-perl,
 libio-socket-ssl-perl,
 libwww-perl,
Suggests:
 liblwp-protocol-socks-perl,
Enhances:
 xul-ext-monkeysphere,
Provides:
 monkeysphere-validation-agent,
Description: Cryptographic identity validation agent (Perl implementation)
 The Monkeysphere Validation Agent offers a local service for tools to
 validate certificates (both X.509 and OpenPGP) and other public keys.
 .
 This package contains a perl implementation of a Monkeysphere
 Validation Agent.

=== debian/watch ===
Version: 5

Source: https://0xacab.org/monkeysphere/msva-perl/
Matching-Pattern: refs/tags/@PACKAGE@/@ANY_VERSION@
Mode: git
